<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* resolution-form-edit.twig */
class __TwigTemplate_4a2944ca6f97f34003faeae7500e608160f266651ade5f02a373a4d9172d39b3 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "resolution-form-edit.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "resolution-form-edit.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo __("Title");
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 19
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 20
        echo __("Save");
        echo ", \$(\"#resolutionEditForm\").submit()
";
    }

    // line 23
    public function block_formHtml($context, array $blocks = [])
    {
        // line 24
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"resolutionEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 26
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("resolution.edit", ["id" => $this->getAttribute(($context["resolution"] ?? null), "resolutionId", [])]), "html", null, true);
        echo "\">
                        ";
        // line 27
        ob_start(function () { return ''; });
        echo __("Resolution");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 28
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A name for this Resolution");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "                        ";
        echo $context["forms"]->getinput("resolution", ($context["title"] ?? null), $this->getAttribute(($context["resolution"] ?? null), "resolution", []), ($context["helpText"] ?? null));
        echo "
                        
                        ";
        // line 31
        ob_start(function () { return ''; });
        echo __("Width");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 32
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Width for this Resolution");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 33
        echo "                        ";
        echo $context["forms"]->getinput("width", ($context["title"] ?? null), $this->getAttribute(($context["resolution"] ?? null), "width", []), ($context["helpText"] ?? null));
        echo "
                       
                        ";
        // line 35
        ob_start(function () { return ''; });
        echo __("Height");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Height for this Resolution");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "                        ";
        echo $context["forms"]->getinput("height", ($context["title"] ?? null), $this->getAttribute(($context["resolution"] ?? null), "height", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 39
        ob_start(function () { return ''; });
        echo __("Enable?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Is the Resolution enabled for use?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                        ";
        echo $context["forms"]->getcheckbox("enabled", ($context["title"] ?? null), $this->getAttribute(($context["resolution"] ?? null), "enabled", []), ($context["helpText"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "resolution-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  137 => 41,  132 => 40,  128 => 39,  122 => 37,  117 => 36,  113 => 35,  107 => 33,  102 => 32,  98 => 31,  92 => 29,  87 => 28,  83 => 27,  79 => 26,  75 => 24,  72 => 23,  66 => 20,  62 => 19,  55 => 18,  52 => 17,  47 => 14,  44 => 13,  39 => 10,  37 => 11,  31 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "resolution-form-edit.twig", "/home/mgatv524/public_html/edurocha/views/resolution-form-edit.twig");
    }
}
